<?php

	// Page Initialization
	$level = '';
	$page = 'user';
	include($level.'includes/config.php');
	
	// Variables
	$error = $success = "";
	
	// Get User Info
	if (isset($_GET['id'])) {
		$user = $USERS->getUserById($_GET['id']);
		if (!$user) {
			if (isset($_SESSION['last_page'])) {
				$last = $_SESSION['last_page'];
				$_SESSION['last_page'] = 'index.php';
				header('Location: '.$last);
			} else {
				header('Location: index.php');
			}
		}
	} else {
		if (isset($_SESSION['last_page'])) {
			$last = $_SESSION['last_page'];
			$_SESSION['last_page'] = 'index.php';
			header('Location: '.$last);
		} else {
			header('Location: index.php');
		}
	}
	
	// POST - Save User Info
	if (isset($_POST['firstname'])) {
		$firstname = clean($_POST['firstname']);
		$email = clean($_POST['email']);
		$password = clean($_POST['password']);
		$bio = substr(clean($_POST['bio']), 0, BIO_MAX);
		
		if ($firstname != "" && $email != "") {
			// Update Info
			$DB->RowUpdate('users', array('email' => $email, 'firstname' => $firstname, 'bio' => $bio), 'id', $user->id);
			// Update Password
			if ($password != "") {
				$DB->FieldSet('users', 'password', crypt($password, SALT), 'id', $user->id);
			}	
			// Update Avatar
			if ($_FILES['image']['name'] != "") {
				$target_path = "images/users/";
				$ext = strtolower(substr($_FILES['image']['name'], strrpos($_FILES['image']['name'], '.') + 1));
				if ($ext == "gif" || $ext == "png" || $ext == "jpg" || $ext == "jpeg") {			
					$target_path = $target_path.$user->id.'.'.$ext;
					if(move_uploaded_file($_FILES['image']['tmp_name'], $target_path)) {
						$DB->FieldSet('users', 'avatar', $user->id.'.'.$ext, 'id', $user->id);
					} else{
						$error = "Error Uploading Avatar";
					}
				} else {
					$error = "Extension Must Be GIF, PNG, JPG, or JPEG";
				}
			}
			$success = "Settings Saved";
			$user = $USERS->getUserById($_GET['id']);
		} else {
			$error = "Must Enter Firstname/Email";
		}
		
	}
	
	// Set Last Page
	$_SESSION['last_page'] = 'user.php?id='.$_GET['id'];

?>

<?php include("parts/doctype.php"); ?>

<head>
	<title>Hi I'm <?php echo $user->firstname; ?></title>
	<?php include("parts/meta.php"); ?>
</head>

<body>

<div id="whole">

	<div id="header"><?php include("parts/header.php"); ?></div>
	
	<div id="main">
	
	<img class="usericon3" src="images/users/<?php echo $user->avatar; ?>" alt="<?php echo $user->firstname; ?>" title="<?php echo $user->firstname; ?>">
	<h3>Hi my name's <?php echo $user->firstname; ?></h3>
	<p class="aboutme"><?php echo $user->bio; ?></p>	
	<?php if ($user->id != 1) { ?>
	<?php if ($DB->FieldGet('users', 'permissions', 'id', $_SESSION['user_id']) == 1 && ($user->permissions != 1 || $_SESSION['user_id'] = 1)) { ?>
	<?php if ($user->permissions == 0) { ?>
		<a href='make_admin.php?id=<?php echo $user->id; ?>'><img class="admin" src="images/admin.png" alt="Make Admin" title="Make Admin"></a>
	<?php } else { ?>
		<a href='make_admin.php?id=<?php echo $user->id; ?>'><img class="admin" src="images/admin_remove.png" alt="Remove Admin" title="Remove Admin"></a>
	<?php } ?>
	<a href='delete_user.php?id=<?php echo $user->id; ?>'><img class="deleteicon2" src="images/delete.png" alt="Delete User" title="Delete User"></a>
	<?php } } ?>	
	<p class="timestamp">I joined on <?php echo date('F j, Y', $user->joined); ?> &middot; I have <?php echo $POSTS->getPostCountByUser($user->id); ?> posts</p>
	
		<div class="clear"></div>
		
		<?php if (isset($_SESSION['user_id']) && ($user->id == $_SESSION['user_id'] || $DB->FieldGet('users', 'permissions', 'id', $_SESSION['user_id']) == 1)) { ?>
		
		<div id="edituser">
		
			<div class="editcolumn">
				<form method='POST' enctype="multipart/form-data">
				<?php if ($error != "") { print("<p class='error2'>".$error."</p>"); } ?>	
				<?php if ($success != "") { print("<p class='success2'>".$success."</p>"); } ?>				
				<label for="firstname">First Name</label>
				<input id="firstname" name="firstname" value="<?php echo $user->firstname; ?>">
				<label for="email">Email</label>
				<input id="email" name="email" value="<?php echo $user->email; ?>">
				<label for="password">Password</label>
				<input id="password" name="password" type='password'>
				<label for="image">Image</label>
				<input class="upload" type="file" name="image" id="image">
			</div>
			
			<div class="editcolumn">
				<textarea class="editbox" id="about" name="bio"><?php echo $user->bio; ?></textarea>
				<input type="submit" class="button2" value="Update">
				</form>
			</div>
		
		</div>
		
		<?php } ?>

	</div>
	
	<div class="clear"></div>
	
	<div id="footer"><?php include("parts/footer.php"); ?></div>

</div>
	
</body>
</html>